/*
 * Class C_STRING
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_127 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_127 [] = {0xFF01,237,126,0xFFFF};
static const EIF_TYPE_INDEX egt_2_127 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_3_127 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_127 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_127 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_127 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_7_127 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_127 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_127 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_127 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_127 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_127 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_13_127 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_127 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_127 [] = {0xFF01,151,0xFFFF};


static const struct desc_info desc_127[] = {
	{EIF_GENERIC(NULL), 1817, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_127), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_127), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_127), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_127), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_127), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_127), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_127), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_127), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_127), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_127), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_127), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_127), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xFD /*126*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_127), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1787, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_127), 1798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_127), 1799, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1803, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1805, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_127), 1806, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 1807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1809, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 1810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1811, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1816, 0xFFFFFFFF},
};
void Init127(void)
{
	IDSC(desc_127, 0, 126);
	IDSC(desc_127 + 1, 1, 126);
	IDSC(desc_127 + 32, 74, 126);
}


#ifdef __cplusplus
}
#endif
